/* アプリの幅が広くなり過ぎないようにする */
/*
    body {
        background: -moz-linear-gradient(top, #444, #333);
        background: -webkit-linear-gradient(top, #444, #333);
        background: linear-gradient(to bottom, #444, #333);
    }

    ons-navigator {
        --max-width: 1000px;
        left: max( (100% - var(--max-width))/2, 0px );
        right: max( (100% - var(--max-width))/2, 0px );
    }
*/
/* ----- */

:root {
    --BaseColor: #415d60;

    --IncompleteColor: #aa5555;
    --PendingColor: #aaaa55;
    --CompleteColor: #55aa55;
    --PremiumColor: #9955aa;

    --FontSize-Regular: 15px;
    --FontSize-Small:   13px;
    --FontSize-Large:   17px;
    --FontSize-XLarge:  20px;

    --Margin-Large:  30px;
    --Margin-Small:  20px;
    --Margin-XSmall: 10px;
}

* {
    box-sizing: border-box;
}

hr {
    width: 90%;
    margin: 0 0 var(--Margin-Large) 0;
    border-top: 1px solid #ddd;
    border-width: 1px 0px 0px;
}

#StudentListCard hr {
    width: 100%;
    border-top: 1px solid #ddd;
    margin-top: 20px;
    margin-bottom: 20px;
    border-width: 1px 0px 0px;
}

:disabled+.radio-button__checkmark, :disabled+.checkbox__checkmark {
    opacity: 1;
}

ons-select[disabled], ons-input[disabled], ons-checkbox[disabled], ons-radio[disabled] {
    opacity: .6;
}

ons-select>select[disabled], ons-input>input[disabled] {
    opacity: 1 !important;
}

/* CustomColor */

/* ons-toolbar.toolbar {
    background-color: #486b6d;
    color: #ffffff;
}

div.content ons-button.StudentListCard_DenyButton {
    background-color: transparent;
    color: #da6272;
}

.toolbar__title {
    color: #ffffff;
}

.tabbar {
    background-color: #599297;
}

.tabbar__label {
    color: #ffffff;
}

#ContentPage_MenuButton {
    color: #67c0c7;
}

ons-button.button {
    background: #599297;
}

#ShowSignUpFormButton {
    background-color: transparent;
    border: 1px solid #599297;
    color: #599297;
} */

#ShowSignUpFormButton, #SignUpButton{
    background-color: transparent;
    border: 1px solid #0076ff;
    color: #0076ff;
}

/* 画面幅によりplaceholderの文字がはみ出す場合、改行せず'...'にする */
ons-input span.text-input__label {
    width: 100%;
    font-size: 15px;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

/* メニューの右側に区切り線を見せるため */
ons-splitter-side .page__content {
    border-right: 1px solid #ccc;
}

div.CommingSoonCard {
    width: 100%;
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    color: #ffffff;
    background-color: #777777aa;
}

div.CommingSoonCard .title {
    font-size: 17px;
}

div.CommingSoonCard .content{
    font-size: 14px;
}

div.ResultEmptyCard {
    margin: 10px;
    padding: 20px 10px;
    border: 2px dashed #ccc;
    background-color: transparent;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    color: #999999;
}

div.ResultEmptyCard .title {
    font-size: 16px;
}

#MenuPage {
    font-size: 15px;
}

ons-page div.MenuBackground {
    /* background-color: #e0e3e6; */
    background-color: #fff;
}

#MenuPageContainer {
    display: flex;
    flex-direction: column;
    width: 100%;
    height: 100%;
}

#MenuTop {
    width: 100%;
}

#MenuMiddle {
    width: 100%;
}

#MenuMiddle ons-list {
    padding: var(--Margin-Small) 0;
}

ons-list-item.Menu_TabButton:hover {
    background-color: #eee;
    transition: background-color .3s;
}

#MenuBottom {
    flex-grow: 1;
    display: flex;
    align-items: flex-end;
    justify-content: flex-end;
    padding: 20px 10px;
}

#Menu_showCancelAccountPageButton {
    font-size: 14px;
}

#MenuTop {
    width: 100%;
    height: 88px;
    background-color: #ffffff;
    border-bottom: 1px solid #ccc;
}

div.MenuTopContainer {
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

div.MenuTopCatchphrase {
    width: 195px;
    height: 55px;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #fff;
    font-size: 26px;
    font-family: Georgia, 'Times New Roman', Times, serif;
    font-weight: bold;
    color: rgb(0, 92, 28);
    border: solid 5px rgb(0, 92, 28);
    border-radius: 5px;
}

#StudentSummaryCard_ContentContainer {
    display: flex;
    height: 70px;
}

#StudentSummaryCard_ContentContainer .Content_Left {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 70px;
    /* background-color: #ccc; */
    padding-left: 5px;
    color: #555;
    font-size: 50px;
}

#NumberOfStudent {
    display: flex;
    justify-content: flex-end;
    align-items: flex-end;
    width: 70%;
    font-size: 40px;
    padding-right: 10px;
    line-height: 1;
    color: #555;
}

#StudentSummaryCard_ContentContainer .Content_Right {
    display: flex;
    justify-content: center;
    align-items: flex-end;
    width: 30%;
    font-size: 20px;
    color: #999;
}

#EditingStatusCounts_Container {
    display: flex;
    width: 100%;
    color: #555;
}

#EditingStatusCounts_Container > div {
    padding: 0px 5px 10px 5px;
}

#EditingStatusCounts_Container > div > div {
    margin-top: 10px;
}

#EditingStatusCounts_Container div.EditingStatusCounts_Column_PercentageBar {
    flex-grow: 1;
    padding-left: 15px;
    display: flex;
    flex-direction: column;
}

#EditingStatusCounts_Container div.EditingStatusCounts_Column_PercentageLabel {
    padding-left: 0px;
}

.EditingStatusCounts_Column_Icon > div {
    color: #555;
}

.EditingStatusCounts_Column_Counts > div {
    font-size: 15px;
    text-align: right;
}

.EditingStatusCounts_Column_PercentageBar > div {
    height: 100%;
    border-radius: 0px 3px 3px 0px;
}

.EditingStatusCounts_Column_PercentageText > div {
    font-size: 15px;
    text-align: right;
}

#EditingPercentageBar {
    width: 30%;
}

/* 承認待機教職員の氏名 */
div.SchoolMemberUserName {
    font-size: var(--FontSize-Regular);
}

div.MemberPendingList_ButtonBox {
    display: flex;
}

/* 承認待機教職員の承認ボタン */
ons-button.ApproveMemberButton {
    flex-grow: 3;
    margin-right: 10px;
    text-align: center;
}

/* 承認待機教職員の拒否ボタン */
ons-button.DenyMemberButton {
    flex-grow: 1;
    text-align: center;
}



ons-page#Splash #SplashContent_Container {
    width: 100%;
    height: 100%;

    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-content: center;
}

ons-page#Splash .SplashContent_LogoBox {
    width: 100%;
    font-size: 50px;
    padding: 20px 0px 50px 0px;
    
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

ons-input[type="text"], ons-input[type="password"], ons-input[type="email"] {
    width: 100%;
    margin-top: 10px;
}

ons-list.FormComponentContainer {
    padding-bottom: 20px;
}

ons-page.Page_FormContent ons-list {
    background-color: transparent;
}

ons-list-item.list-item {
    padding: 0 8px 0px 14px;
}

.Form_Date label {
    margin: 0 10px;
}


/* Form Header, Title, SubTitle, OptionText */

    ons-list-header.list-header {
        /* margin-top: 25px; */
        margin-bottom: 5px;
        padding: 20px 0px 0px 5px;
        background-image: none;
        font-size: 15px;
        font-weight: normal;
        text-transform: none;
        color: rgb(0, 73, 22);
        background-color: transparent;
    }

    ons-list-header span.HeaderFormNumber {
        /* color: #777; */
        /* color: rgb(0, 92, 28); */
        color: #fff;
        background-color: rgb(0, 73, 22);
        border-radius: 5px;
        padding: 1px 7px;
        margin-right: 7px;
    }

    div.Form_SubHeader {
        margin-top: 10px;
        padding: 10px 0px 10px 10px;
        font-size: 15px;
        color: rgb(0, 92, 28);
        /* background-color: #ddd; */
        /* background-color: transparent; */
        /* color: #ffffff; */
        /* background-color: #aaa; */
    }

    div.Form_FormTitle {
        /* margin: 10px 14px 0px 14px; */
        margin-top: 10px;
        padding: 5px 0px 5px 14px;
        font-size: 14px;
        background-color: #ddd;
        /* background-color: transparent; */
        /* border-bottom: 1px solid #999; */
        /* font-weight: bold; */
        /* color: #777; */
        color: rgb(0, 92, 28);
        /* color: #3d5afe; */
    }

    ons-list-item.Form_OptionText {
        font-size: 13px;
        color: #555555;
    }

/* ------------------------------------- */

ons-list div.LabelJapanese {
    margin-right: 15px;
}

ons-list div.LabelEnglish {
    color: #777777;
}

ons-list.DetailForm_Box {
    /* padding: 15px 0px; */
    margin-bottom: 20px;
}

.list--inset {
    margin-top: 10px;
    margin-bottom: 10px;
}

/* 画面の幅によってグリッドの幅が柔軟に変化するが、コンテンツの数が少ない時、幅が広くなりすぎる */
/* grid-template-columns: repeat(auto-fit, minmax(300px, 1fr)); */
/* コンテンツの数が少ない時も幅が柔軟に変化するが、画面の幅が広すぎる場合は空のグリッドが追加され、中央表示もできない*/
/* grid-template-columns: repeat(auto-fit, minmax(300px, 1fr)); */
/* 以下の設定で、画面の幅が狭くなる時だけグリッドの幅が狭くなり、画面の幅が広い場合は最大幅表示に固定され、中央表示される */
div.FlexContainer {
    width: 100%;
    min-height: fit-content;
    display: grid;
    grid-gap: 15px;
    grid-template-columns: repeat(auto-fit, minmax(320px, 450px));
    justify-content: center;
}

div.GridContainer {
    width: 100%;
    min-height: fit-content;
    display: grid;
    grid-gap: 15px;
    grid-template-columns: repeat(2, minmax(320px, 450px));
    justify-content: center;
}

@media(max-width: 930px) {
    div.GridContainer {
        grid-template-columns: minmax(320px, 450px);
    }
}

div.SignFormContainer {
    width: 100%;
    max-width: 1000px;
    margin: 0 auto;
    display: flex;
    flex-direction: column;
    align-items: center;
}

div.SignFormBox {
    width: 100%;
    min-width: 300px;
    max-width: 450px;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
}

div.SignFormInnerBox {
    width: 100%;
    min-width: 300px;
    max-width: 450px;
}

div.CardContainer {
    display: grid;
    grid-gap: 15px;
    align-content: start;
}

div.FlexContentContainer {
    width: 100%;
    margin: 0 auto var(--Margin-Large);
}

div.FlexFormBox {
    width: 100%;

    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;

    margin-top: var(--Margin-Large);
}

div.FlexGroup {
    width: 100%;
    margin-bottom: var(--Margin-Large);
}

div.FlexFormLine {
    width: 100%;
    padding: 0 30px;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

div.InputForm {
    line-height: 30px;
}

div.FlexContainer .FlexFormText {
    width: 100%;
    padding: 0px 30px 10px;
    text-align: start;
    font-size: 15px;
}

div.FlexFormLine ons-input {
    width: 90%;
    margin: 10px 0px;
}

div.FlexFormLine ons-button {
    width: 90%;
    margin: 10px 0;
}

div.FlexFormTitle {
    width: 100%;
    text-align: center;
    margin-bottom: var(--Margin-Small);
}

span.JapaneseTitle {
    font-size: var(--FontSize-Regular);
    font-weight: bold;
}

div.FlexContainer .FlexFormHeader {
    width: 100%;
    text-align: center;
    padding-bottom: 5px;
    font-size: var(--FontSize-Small);
    color: #777;
}

div.SignUpNotice {
    font-size: var(--FontSize-Small);
    color: #777;
    width: 100%;
    max-width: 500px;
    margin: 0px auto var(--Margin-Large);
    padding: 0 20px;
    text-align: start;
}

div.Catchphrase {
    width: 100%;
    margin-bottom: var(--Margin-Large);
    text-align: center;
    font-family: Georgia, 'Times New Roman', Times, serif;
}

div.Catchphrase_box {
    width: 230px;
    height: 55px;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #fff;
    font-size: 30px;
    font-weight: bold;
    color: rgb(0, 92, 28);
    margin: 0px auto var(--Margin-Small);
    border: solid 5px rgb(0, 92, 28);
    border-radius: 5px;
}

div.Catchphrase_1 {
    font-size: 13px;
    color: #333;
    font-weight: bold;
    font-family: Roboto, Noto, sans-serif;
}

div.Catchphrase_2 {
    font-size: 16px;
    color: #333;
    font-weight: bold;
    font-family: Roboto, Noto, sans-serif;
}

#SplashContent_Container .Catchphrase {
    width: 100%;
    margin-bottom: var(--Margin-Large);
    text-align: center;
    font-family: Georgia, 'Times New Roman', Times, serif;
}

#SplashContent_Container .Catchphrase .Catchphrase_3 {
    font-size: 23px;
    color: rgb(0, 92, 28);
    padding-top: 20px;
    margin-bottom: 5px;
}

#SplashContent_Container .Catchphrase .Catchphrase_4 {
    font-size: 35px;
    color: rgb(0, 92, 28);
    margin-bottom: 10px;
}


footer.FooterContainer {
    width: 100%;
    min-height: fit-content;
    padding: var(--Margin-Large) 0px;
    background-color: #555;
    font-size: var(--FontSize-Small);
    color: #ccc;
    display: flex;
    flex-direction: column;
    align-items: center;
}

footer.FooterContainer .Footer_Disclaimer {
    width: 100%;
    max-width: 500px;
    padding: 0px 20px;
}

footer.FooterContainer .Footer_Links {
    width: 100%;
    max-width: 500px;
    margin-top: 20px;
    text-decoration: underline;
    display: flex;
    justify-content: space-around;
}

div.PageContentContainer {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

#TermsContainer {
    width: 100%;
    padding: 20px 20px;
    font-size: 14px;
}

#TermsContainer h1 {
    font-size: 22px;
    font-weight: bold;
    padding: 30px 0px 15px;
}

#TermsContainer h2 {
    font-size: 19px;
    font-weight: bold;
    padding: 10px 0px 0px;
}

#TermsContainer h3 {
    font-size: 16px;
}

img.OAuthButton {
    width: 280px;
    object-fit: contain;
}


div.Form_Date__Container {
    display: flex;
    flex-wrap: nowrap;
    width: 100%;
}

ons-select.Form_Date__Year_3 {
    width: calc( ( 100% - 90px ) * 0.4 );
}

ons-select.Form_Date__Month_3 {
    width: calc( ( 100% - 90px ) * 0.3 );
}

ons-select.Form_Date__Day_3 {
    width: calc( ( 100% - 90px ) * 0.3 );
}

ons-select.Form_Date__Year_2 {
    width: calc( ( 100% - 60px ) * 0.6 );
}

ons-select.Form_Date__Month_2 {
    width: calc( ( 100% - 60px ) * 0.4 );
}

div.Form_Date__Label {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 30px;
    color: #777777;
}


div.Form_Text__Container {
    display: flex;
    flex-wrap: nowrap;
    width: 100%;
}

div.Form_Text__Input, div.Form_Date__Input {
    flex-grow: 1;
    display: inherit;
}

div.Form_Text__UnitLabel, div.Form_Date__UnitLabel {
    padding: 0 10px;
    display: flex;
    justify-content: center;
    align-items: center;
    color: #777777;
}

div.Form_Select__UnitLabel {
    padding: 10px 0px 0px 0px;
    color: #777777;
}

/* 幅の広い画面で中央に表示する */

div.FormFlexContainer {
    width: 100%;
    display: flex;
    justify-content: center;
}

div.FormFlexContainer .FormFlexFrame {
    width: 100%;
    max-width: 500px;
    padding: 0px 15px;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

div.FormFlexContainer .FormFlexBox {
    width: 100%;
    max-width: 500px;
    padding: 0 5px 20px 0;
    font-size: 15px;
    border: 1px solid transparent;
}

div.FormInnerBox {
    display: flex;
    flex-wrap: nowrap;
}

div.FormContent {
    width: 100%;
}

div.FormFlexContainer .FormFlexBox:focus-within {
    background-color: #eee;
    border: 1px solid #ccc;
    border-radius: 5px;
}

.Modal_Content {
    text-align: center;
}

.Modal_PleaseWait_Message {
    width: 100%;
    text-align: center;
}

.Modal_PleaseReload_Message {
    width: 100%;
    padding: 0px 20px 30px;
}

#G_recaptcha {
    padding: 20px 0px 10px;
}

#RegistrationCard ons-list-header {
    font-size: 17px;
}

#RegistrationCard .AccountSelectionBox {
    padding: 0 20px 20px 20px;
    margin: 30px 5px 30px 5px;
}

ul.AccountSelectionDesc {
    color: #555;
    line-height: 1.2;
    margin: 20px 0;
}

div.StudentListCard_StudentName {
    width: 100%;
    color: #555;
    padding-bottom: 5px;
}

ons-icon.StudentListItemIcon {
    color: #486b6d;
}

/* StudentListのアイコンの大きさとボタン内中央整列 */
div.StudentListCard_ButtonGroup ons-icon {
    font-size: 1.3em;
    margin: 0 7px;
}

div.StudentListItemsContainer ons-button {
    display: flex;
    align-items: center;
    font-size: 14px;
}
/* ---------------------------- */


div.StudentListCard_ButtonGroup {
    position: relative;
    display: flex;
    justify-content: space-between;
    /* width: 100%; */
    padding: 20px 0px 0px 0px;
    margin: 10px 10px;
    border-top: 1px solid #eee;
}

div.StudentListCard_ButtonGroup ons-icon {
    width: 20px;
    margin: 0 7px 0 0;
}

div.StudentListCard_ButtonGroup_1 {
    flex-wrap: wrap;
    margin-bottom: var(--Margin-Large);
}

div.StudentListCard_ButtonGroup_2 {
    justify-content: flex-end;
    flex-wrap: wrap;
}

div.StudentListCard_ButtonGroup::before {
    content: attr(title);
    position: absolute;
    display: inline-block;
    line-height: 1;
    background: #ffffff;
    padding-right: 10px;
    top: -7px;
    left: 0px;
    font-size: 14px;
    color: #aaa;
}

div.StudentListCard_ViewButtonContainer {
    width: calc(50% - 10px);
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}

div.StudentListCard_SubTitle {
    width: 100%;
    padding: 10px 0px;
    font-size: 14px;
    text-align: center;
}

ons-button.StudentListCard_ViewButton {
    width: 100%;
    margin-bottom: 10px;
}

ons-button.ButtonColor2 {
    background-color: #215fcc;
}

ons-button.ButtonColor3 {
    background-color: #ffffff;
    color: #215fcc;
    border: 1px solid #215fcc;
}

div.StudentListCard_Bottom {
    flex-grow: 1;
    display: flex;
    justify-content: flex-end;
    padding-bottom: 10px;
}

ons-button.NegativeButton {
    color: #af5500;
    background-color: transparent;
}

div.StudentListCard_GroupingButtonContainer {
    flex-grow: 1;
    display: flex;
    justify-content: flex-start;
    align-items: center;
    padding-bottom: 10px;
}

/* 学生の入力進捗状況 */

div.StudentListCard_InputProgressBar {
    display: flex;
    width: 90%;
    font-size: 13px;
}

div.StudentListCard_InputProgressBar .Progress_cell {
    height: 21px;
    flex-grow: 1;
    display: flex;
    justify-content: center;
    align-items: center;
    /* border: 1px solid #fff; */
    background-color: #eee;
    color: #fff;
}

div.StudentListCard_InputProgressBar div.Progress_1 {
    border-top-left-radius: 5px;
    border-bottom-left-radius: 5px;
}
div.StudentListCard_InputProgressBar div.Progress_Last {
    width: 15px;
    flex-grow: 0;
    border-top-right-radius: 5px;
    border-bottom-right-radius: 5px;
}

div.StudentListCard_InputProgressBar .Progress_color_1 {
    background-color: #67c0c7;
}

div.StudentListCard_InputProgressBar .Progress_color_2 {
    background-color: #599297;
}

div.StudentListCard_InputProgressBar .Progress_color_3 {
    background-color: #4f7b7f;
}

div.StudentListCard_InputProgressBar .Progress_color_DeactiveText {
    /* color: rgba(255,255,255,0.2); */
    color: transparent;
}

/* ----------------- */



/* Action Sheetの表示でデスクトップに対応するための設定 */
/* 横幅が広がり過ぎないように｜画面の中央下に表示されるように */
div.action-sheet {
    max-width: 400px;
    margin-left: auto;
    margin-right: auto;
}
/* ------------------- */

/* アイコン付きTabbarの表示を修正 */
button.tabbar__button {
    height: 45px;
}

/* Tabbar material 修正*/
button.tabbar--material__button {
    color: #999;
}

:checked+.tabbar--material__button {
    color: #2979ff;
}

/* 幅広でのtab中央表示時に不具合があり、非表示にする */
.tabbar--material__border {
    display: none !important;
}
/* ------------- */


/* tabbar */

/* tabbar 幅広対応 */
div.tabbar {
    display: flex;
    justify-content: center;
}

/* 幅広の画面でもタブ同士が広がり過ぎず中央に集まる */
ons-tab.tabbar__item {
    max-width: 200px;
}

#MenuMiddle_TabMenu {
    display: none;
    font-size: 17px;
}

#MenuMiddle_TabMenu .Menu_TabButton {
    padding-top: 5px;
    padding-bottom: 5px;
}

#MenuMiddle_TabMenu .MenuWhiteText {
    color: #fff;
}

ons-icon {
    display: inline-block;
    width: 1.7em;
    text-align: center;
}

#MenuMiddle_TabMenu .Menu_TabButton_Active {
    background-color: #eeeeeeaa;
}

/* 幅広の画面では */
@media screen and (min-width: 1023px) {
    /* タブバーを表示しない */
    #DashboardTabbar div.tabbar {
        display: none;
    }

    /* タブバーがなくなった下の空間を埋める */
    div.tabbar__content {
        bottom: 0;
    }

    #MenuMiddle_TabMenu {
        display: block;
    }
}

/* --------------- */

/* Toolbar タイトルの表示 */
ons-toolbar .center {
    /* width: 100%; */
    flex-grow: 1;
    display: flex;
    flex-wrap: wrap;
    align-content: center;
    justify-content: center;
    padding: 0px 10px;
}

/* iOSではwidthが固定だったので上書き */
ons-toolbar .left, ons-toolbar .right {
    width: auto; 
}

ons-toolbar .left {
    min-width: unset;
}

.Toolbar_Title {
    width: 100%;
    font-size: 15px;
    line-height: 1.2;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.Toolbar_SubTitle {
    width: 100%;
    font-size: 10px;
    line-height: 1.2;
    color: #555555;
    overflow: hidden;
    text-overflow: ellipsis;
    white-space: nowrap;
}
/* ------------------- */

/* 画面下のToolbar */
.bottom-bar {
    display: flex;
    justify-content: center;
}

.BottomToolbar_Container {
    width: 100%;
    max-width: 500px;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.BottomToolbar_Button {
    width: 100%;
    border: none;
    background: transparent;
    text-align: center;
    color: #777;
    line-height: 1;
    touch-action: manipulation;
}

.BottomToolbar_Button__Icon {
    width: 100%;
    font-size: 24px;
}

.BottomToolbar_Button__Text {
    width: 100%;
    font-size: 10px;
}
/* --------------- */

input.text-input {
    font-size: 15px;
}

ons-page.Page_FormContent ons-list {
    background-color: transparent;
}


/* 画面下のToolbar */
.bottom-bar {
    display: flex;
    justify-content: center;
}

.BottomToolbar_Container {
    width: 100%;
    max-width: 500px;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.BottomToolbar_Button {
    width: 100%;
    border: none;
    background: transparent;
    text-align: center;
    color: #777;
    line-height: 1;
    touch-action: manipulation;
}

.BottomToolbar_Button__Icon {
    width: 100%;
    font-size: 24px;
}

.BottomToolbar_Button__Text {
    width: 100%;
    font-size: 10px;
}
/* --------------- */

div.StudentListItemsWrapper {
    width: 100%;
    display: flex;
    justify-content: center;
}

div.StudentListItemsContainer {
    width: 100%;
    max-width: 500px;
    padding-top: 10px;
    padding-bottom: 20px;
}

.card__content {
    font-size: var(--FontSize-Regular);
}

/* grid表示でもカードの高さをコンテンツに合わせて表示する */
ons-card {
    height: fit-content;
}

ons-card div.title {
    width: 100%;
    text-align: center;
    margin-bottom: var(--Margin-Small);
    font-size: var(--FontSize-XLarge);
    font-weight: bold;
}

div.CardSubTitle {
    font-size: var(--FontSize-Large);
    margin-top: var(--Margin-Large);
    margin-bottom: var(--Margin-XSmall);
    color: #333;
    font-weight: bold;
}

div.CardSubText {
    font-size: var(--FontSize-Regular);
    margin-bottom: var(--Margin-XSmall);
    color: #555;
}

div.CardInnerDiv {
    margin-bottom: var(--Margin-XSmall);
}

div.CardText {
    font-size: var(--FontSize-Regular);
}

div.CardTextAlignRight {
    font-size: var(--FontSize-Small);
    text-align: right;
    color: #999;
}

ons-card li {
    margin-bottom: var(--Margin-XSmall);
}

/* #4 */
ons-card#GuestCard {
    background-color: rgba(255,255,255,0.3);
    box-shadow: none;
    border: #ccc 2px dashed;
}

div.CardFlexContainer {
    display: flex;
    width: 100%;
    font-size: var(--FontSize-Regular);
    padding: 10px 10px 10px 14px;
    border-bottom: 1px solid #eee;
}

div.CardFlexBox1 {
    width: 100px;
}

.UserListItemIcon {
    font-size: 20px;
    color: #4f7b7f;
    /* ユーザーアイコンは左整列させたい */
    text-align: left;
}

#MemberRegistrationForm_MemberRegistrationButton {
    margin-top: 20px;
}

#StudentPendingList_ListContent ons-list-item:focus {
    background-color: #ccc;
}

.AdminPendingCard_Box {
    padding: 0 10px 20px 10px;
}

.AdminPendingCard_Label {
    font-size: var(--FontSize-Small);
    color: #777;
    width: 160px;
}

.AdminPendingCard_Text {
    font-size: var(--FontSize-Regular);
    padding-left: 5px;
}

/* ToolBar直下に固定表示されるProgressBar */
ons-progress-bar {
    display: none;
    position: absolute;
    z-index: 10;
    width: 100%;
}

/* 視覚的な変化なしで全画面を覆い二重操作を防止するModal */
#TransparentModal {
    background-color: transparent;
}

div.FormIndicator {
    width: 30px;
    padding-left: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
}

div.FormIndicator .FormIndicatorIcon {
    font-size: 18px;
    display: none;
    opacity: 0.5;
}

div.FormIndicator .FormIndicator_Spinner {
    color: #777;
}

div.FormIndicator .FormIndicator_Check {
    color: green;
    opacity: 0;
    transition-duration: 1.5s;
}

div.FormIndicator .FormIndicator_Exclamation {
    color: red;
    opacity: 0;
    transition-duration: 1.5s;
}

#OAuthForm, #PDFForm {
    display: none;
}

.TabContentTitle {
    font-size: 20px;
    color: #777;
    margin: var(--Margin-Large) 0 var(--Margin-Small) 0;
    padding-left: 8px;
    grid-column: 1 / -1;
}

/* 学生のリストの整列のため */
.list-item__center {
    width: 100%;
}

ons-list-item[expandable] > div.top:hover > div.right span {
    border-color: #0076ff;
}

span.notification {
    margin-right: 5px;
}

/* 学生フォームのBottomToolBar */

.StudentListCard_ButtonContainer {
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.StudentListCard_Button {
    width: 100%;
    height: 32px;
    display: flex;
    align-items: center;
}

.StudentListCard_IncompleteButton {
    width: 100%;
    margin-right: 10px;
    background-color: var(--IncompleteColor);
}

.StudentListCard_PendingButton {
    min-width: fit-content;
    width: calc(50% - 10px);
    background-color: var(--PendingColor);
}

.StudentListCard_CompleteButton {
    width: 100%;
    background-color: var(--CompleteColor);
}

.StudentListCard_ButtonIcon {
    width: 22px;
    font-size: 17px;
}

.StudentListCard_ButtonText {
    width: 100%;
    font-size: 15px;
    text-align: center;
}

div.DialogContent {
    width: 300px;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    /* padding-bottom: 20px; */
    background-color: #fff;
}

div.DialogTitle {
    width: 100%;
    background-color: #555;
    color: #fff;
    font-size: 17px;
    text-align: center;
    font-weight: bold;
    padding: 10px 0;
}

    div.IncompleteDialogTitle {
        background-color: var(--IncompleteColor);
    }

    div.CompleteDialogTitle {
        background-color: var(--CompleteColor);
    }

    div.PendingDialogTitle {
        background-color: var(--PendingColor);
    }

span.DialogSubtitle {
    font-size: 17px;
    font-weight: bold;
}

div.DialogInnerBox {
    width: 100%;
    padding: 0px 15px;
    margin: 10px 0px;
    font-size: 15px;
}

div.DialogInnerBox ons-button {
    margin-bottom: 5px;
}

ons-icon.StudentListCard_DialogIcon {
    margin: var(--Margin-Large) 0 var(--Margin-Small);
    font-size: 50px;
}

    .IncompleteColor {
        color: var(--IncompleteColor);   
    }

    .CompleteColor {
        color: var(--CompleteColor);   
    }

    .PendingColor {
        color: var(--PendingColor);   
    }

.DialogCancelButton {
    color: #777;
}

.IncompleteBackgroundColor {
    background-color: var(--IncompleteColor);
}

.CompleteBackgroundColor {
    background-color: var(--CompleteColor);
}

.PendingBackgroundColor {
    background-color: var(--PendingColor);
}

.Title_FlexBox {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.Title_FlexBox__Title_Margin {
    margin: 4px 0 var(--Margin-Small);
}

.Title_FlexBox__CardSubTitle_Margin {
    margin-top: var(--Margin-Large);
    margin-bottom: var(--Margin-XSmall);
}

.Title_FlexBox__OnsListTitle_Margin {
    margin: 40px 10px 15px 0;
}

.Title_FlexBox ons-list-title {
    font-size: 14px;
    font-weight: bold;
}

div.Title_FlexBox div.title, div.Title_FlexBox div.CardSubTitle{
    margin: 0;
}

.Title_FlexBox_LabelBox {
    text-align: right;
    font-size: 14px;
}

.Title_FlexBox_LabelBox__Incomplete {
    color: var(--IncompleteColor);
}

.Title_FlexBox_LabelBox__Complete {
    color: var(--CompleteColor);
}

.Title_FlexBox_LabelBox__Information {
    color: #0076ff;
    font-size: 20px;
}

.Title_FlexBox_LabelBox__Premium {
    color: var(--PremiumColor);
    font-size: 15px;
}

.Popover_Desc {
    padding: 10px;
    font-size: 15px;
    color: #555;
}

.Popover_CloseButton {
    display: block;
    margin: 0 auto 15px auto;
    width: fit-content;
    font-size: 15px;
    padding: 0px 10px;
    color: #999;
    background: transparent;
    border: solid 1px #ccc;
}

#CompleteStudentsPDFButton {
    margin-bottom: 20px;
}

#CompleteStudentsPDFCard_ButtonBox {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 20px;
}

.PremiumColor {
    color: var(--PremiumColor);
}

.PremiumBackgroundColor {
    background-color: var(--PremiumColor);
}

#PremiumFormAnouncementBox, #PremiumForm_RegistrationDesc, #PremiumForm_RegistrationInfo {
    display: none;
}

#StudentTabSegment ons-list-item.expanded {
    border-top: solid 1px #aaa;
    border-bottom: solid 1px #aaa;
    background: linear-gradient(315deg, #aaa 2%, 2%, #fff, 98%, #aaa 98%);
}

.ReloadCard_ReloadButton {
    background-color: var(--CompleteColor);
    font-size: 15px;
    font-weight: bold;
    padding: 4px 20px;
}